## plotly 4.9.4

=== DESCRIPTION ===
Package: plotly
Title: Create Interactive Web Graphics via 'plotly.js'
Version: 4.9.4
Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
    email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
    person("Chris", "Parmer", role = "aut",
    email = "chris@plot.ly"),
    person("Toby", "Hocking", role = "aut",
    email = "tdhock5@gmail.com"),
    person("Scott", "Chamberlain", role = "aut",
    email = "myrmecocystus@gmail.com"),
    person("Karthik", "Ram", role = "aut",
    email = "karthik.ram@gmail.com"),
    person("Marianne", "Corvellec", role = "aut",
    email = "marianne.corvellec@igdore.org", comment = c(ORCID = "0000-0002-1994-3581")),
    person("Pedro", "Despouy", role = "aut",
    email = "pedro@plot.ly"),
    person("Salim", "Brüggemann", role = "ctb",
    email = "salim-b@pm.me", comment = c(ORCID = "0000-0002-5329-5987")),
    person("Plotly Technologies Inc.", role = "cph"))
License: MIT + file LICENSE
Description: Create interactive web graphics from 'ggplot2' graphs and/or a custom interface to the (MIT-licensed) JavaScript library 'plotly.js' inspired by the grammar of graphics.
URL: https://plotly-r.com, https://github.com/ropensci/plotly#readme,
        https://plotly.com/r/
BugReports: https://github.com/ropensci/plotly/issues
Depends: R (>= 3.2.0), ggplot2 (>= 3.0.0)
Imports: tools, scales, httr (>= 1.3.0), jsonlite (>= 1.6), magrittr,
        digest, viridisLite, base64enc, htmltools (>= 0.3.6),
        htmlwidgets (>= 1.5.2.9001), tidyr, RColorBrewer, dplyr, vctrs,
        tibble, lazyeval (>= 0.2.0), rlang (>= 0.4.10), crosstalk,
        purrr, data.table, promises
Suggests: MASS, maps, hexbin, ggthemes, GGally, testthat, knitr,
        devtools, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl,
        rmarkdown, vdiffr, Cairo, broom, webshot, listviewer,
        dendextend, sf, maptools, rgeos, png, IRdisplay, processx,
        plotlyGeoAssets, forcats, palmerpenguins
LazyData: true
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-06-08 16:34:45 UTC; cpsievert
Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
  Chris Parmer [aut],
  Toby Hocking [aut],
  Scott Chamberlain [aut],
  Karthik Ram [aut],
  Marianne Corvellec [aut] (<https://orcid.org/0000-0002-1994-3581>),
  Pedro Despouy [aut],
  Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>),
  Plotly Technologies Inc. [cph]
Maintainer: Carson Sievert <cpsievert1@gmail.com>
Repository: CRAN
Date/Publication: 2021-06-08 17:40:02 UTC

## plotly 4.9.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.9.4
+Version: 4.9.4.1
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -26,9 +26,9 @@
 Depends: R (>= 3.2.0), ggplot2 (>= 3.0.0)
 Imports: tools, scales, httr (>= 1.3.0), jsonlite (>= 1.6), magrittr,
         digest, viridisLite, base64enc, htmltools (>= 0.3.6),
-        htmlwidgets (>= 1.5.2.9001), tidyr, RColorBrewer, dplyr, vctrs,
-        tibble, lazyeval (>= 0.2.0), rlang (>= 0.4.10), crosstalk,
-        purrr, data.table, promises
+        htmlwidgets (>= 1.5.2.9001), tidyr (>= 1.0.0), RColorBrewer,
+        dplyr, vctrs, tibble, lazyeval (>= 0.2.0), rlang (>= 0.4.10),
+        crosstalk, purrr, data.table, promises
 Suggests: MASS, maps, hexbin, ggthemes, GGally, testthat, knitr,
         devtools, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl,
         rmarkdown, vdiffr, Cairo, broom, webshot, listviewer,
@@ -38,7 +38,7 @@
 RoxygenNote: 7.1.1
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2021-06-08 16:34:45 UTC; cpsievert
+Packaged: 2021-06-17 18:05:55 UTC; cpsievert
 Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
   Toby Hocking [aut],
@@ -50,4 +50,4 @@
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-06-08 17:40:02 UTC
+Date/Publication: 2021-06-18 09:00:02 UTC

## plotly 4.10.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.9.4.1
+Version: 4.10.3
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -20,25 +20,26 @@
     person("Plotly Technologies Inc.", role = "cph"))
 License: MIT + file LICENSE
 Description: Create interactive web graphics from 'ggplot2' graphs and/or a custom interface to the (MIT-licensed) JavaScript library 'plotly.js' inspired by the grammar of graphics.
-URL: https://plotly-r.com, https://github.com/ropensci/plotly#readme,
+URL: https://plotly-r.com, https://github.com/plotly/plotly.R,
         https://plotly.com/r/
-BugReports: https://github.com/ropensci/plotly/issues
+BugReports: https://github.com/plotly/plotly.R/issues
 Depends: R (>= 3.2.0), ggplot2 (>= 3.0.0)
 Imports: tools, scales, httr (>= 1.3.0), jsonlite (>= 1.6), magrittr,
         digest, viridisLite, base64enc, htmltools (>= 0.3.6),
         htmlwidgets (>= 1.5.2.9001), tidyr (>= 1.0.0), RColorBrewer,
         dplyr, vctrs, tibble, lazyeval (>= 0.2.0), rlang (>= 0.4.10),
         crosstalk, purrr, data.table, promises
-Suggests: MASS, maps, hexbin, ggthemes, GGally, testthat, knitr,
-        devtools, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl,
-        rmarkdown, vdiffr, Cairo, broom, webshot, listviewer,
-        dendextend, sf, maptools, rgeos, png, IRdisplay, processx,
-        plotlyGeoAssets, forcats, palmerpenguins
+Suggests: MASS, maps, hexbin, ggthemes, GGally, ggalluvial, testthat,
+        knitr, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl, rmarkdown,
+        Cairo, broom, webshot, listviewer, dendextend, sf, png,
+        IRdisplay, processx, plotlyGeoAssets, forcats, withr,
+        palmerpenguins, rversions, reticulate, rsvg
 LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
+Config/Needs/check: tidyverse/ggplot2, rcmdcheck, devtools, reshape2
 NeedsCompilation: no
-Packaged: 2021-06-17 18:05:55 UTC; cpsievert
+Packaged: 2023-10-20 21:40:32 UTC; cpsievert
 Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
   Toby Hocking [aut],
@@ -50,4 +51,4 @@
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-06-18 09:00:02 UTC
+Date/Publication: 2023-10-21 22:50:09 UTC

## plotly 4.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.10.3
+Version: 4.11.0
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -27,28 +27,31 @@
 Imports: tools, scales, httr (>= 1.3.0), jsonlite (>= 1.6), magrittr,
         digest, viridisLite, base64enc, htmltools (>= 0.3.6),
         htmlwidgets (>= 1.5.2.9001), tidyr (>= 1.0.0), RColorBrewer,
-        dplyr, vctrs, tibble, lazyeval (>= 0.2.0), rlang (>= 0.4.10),
+        dplyr, vctrs, tibble, lazyeval (>= 0.2.0), rlang (>= 1.0.0),
         crosstalk, purrr, data.table, promises
 Suggests: MASS, maps, hexbin, ggthemes, GGally, ggalluvial, testthat,
-        knitr, shiny (>= 1.1.0), shinytest (>= 1.3.0), curl, rmarkdown,
-        Cairo, broom, webshot, listviewer, dendextend, sf, png,
-        IRdisplay, processx, plotlyGeoAssets, forcats, withr,
-        palmerpenguins, rversions, reticulate, rsvg
+        knitr, shiny (>= 1.1.0), shinytest2, curl, rmarkdown, Cairo,
+        broom, webshot, listviewer, dendextend, sf, png, IRdisplay,
+        processx, plotlyGeoAssets, forcats, withr, palmerpenguins,
+        rversions, reticulate, rsvg, ggridges
 LazyData: true
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 Encoding: UTF-8
-Config/Needs/check: tidyverse/ggplot2, rcmdcheck, devtools, reshape2
+Config/Needs/check: tidyverse/ggplot2, ggobi/GGally, rcmdcheck,
+        devtools, reshape2, s2
 NeedsCompilation: no
-Packaged: 2023-10-20 21:40:32 UTC; cpsievert
-Author: Carson Sievert [aut, cre] (<https://orcid.org/0000-0002-4958-2844>),
+Packaged: 2025-06-19 15:43:06 UTC; cpsievert
+Author: Carson Sievert [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
   Toby Hocking [aut],
   Scott Chamberlain [aut],
   Karthik Ram [aut],
-  Marianne Corvellec [aut] (<https://orcid.org/0000-0002-1994-3581>),
+  Marianne Corvellec [aut] (ORCID:
+    <https://orcid.org/0000-0002-1994-3581>),
   Pedro Despouy [aut],
-  Salim Brüggemann [ctb] (<https://orcid.org/0000-0002-5329-5987>),
+  Salim Brüggemann [ctb] (ORCID: <https://orcid.org/0000-0002-5329-5987>),
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-21 22:50:09 UTC
+Date/Publication: 2025-06-19 18:30:02 UTC

## plotly 4.12.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plotly
 Title: Create Interactive Web Graphics via 'plotly.js'
-Version: 4.11.0
+Version: 4.12.0
 Authors@R: c(person("Carson", "Sievert", role = c("aut", "cre"),
     email = "cpsievert1@gmail.com", comment = c(ORCID = "0000-0002-4958-2844")),
     person("Chris", "Parmer", role = "aut",
@@ -23,7 +23,7 @@
 URL: https://plotly-r.com, https://github.com/plotly/plotly.R,
         https://plotly.com/r/
 BugReports: https://github.com/plotly/plotly.R/issues
-Depends: R (>= 3.2.0), ggplot2 (>= 3.0.0)
+Depends: R (>= 3.5.0), ggplot2 (>= 3.0.0)
 Imports: tools, scales, httr (>= 1.3.0), jsonlite (>= 1.6), magrittr,
         digest, viridisLite, base64enc, htmltools (>= 0.3.6),
         htmlwidgets (>= 1.5.2.9001), tidyr (>= 1.0.0), RColorBrewer,
@@ -35,12 +35,12 @@
         processx, plotlyGeoAssets, forcats, withr, palmerpenguins,
         rversions, reticulate, rsvg, ggridges
 LazyData: true
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 Encoding: UTF-8
 Config/Needs/check: tidyverse/ggplot2, ggobi/GGally, rcmdcheck,
         devtools, reshape2, s2
 NeedsCompilation: no
-Packaged: 2025-06-19 15:43:06 UTC; cpsievert
+Packaged: 2026-01-24 00:53:27 UTC; cpsievert
 Author: Carson Sievert [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-4958-2844>),
   Chris Parmer [aut],
@@ -54,4 +54,4 @@
   Plotly Technologies Inc. [cph]
 Maintainer: Carson Sievert <cpsievert1@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-06-19 18:30:02 UTC
+Date/Publication: 2026-01-24 07:50:02 UTC

## plotly 4.14.3+dfsg

=== debian/changelog ===
plotly (4.14.3+dfsg-1) unstable; urgency=medium

  * New upstream release 4.14.3
  * Bump Standards-Version to 4.5.1. No changes required
  * debian/watch: Bump file standard version to 4

 -- Josue Ortega <josue@debian.org>  Wed, 20 Jan 2021 19:25:17 -0600

plotly (4.12.0+dfsg-1) unstable; urgency=medium

  * New upstream release (4.12.0). (Closes: #972781):
    + Update plotly offline js to version 1.57.1
  * debian/patches: Document Forwarded header as not-needed
  * debian/copyright: Update copyright years

 -- Josue Ortega <josue@debian.org>  Sat, 24 Oct 2020 07:38:59 -0600

=== debian/control ===
Source: plotly
Section: python
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools (>= 5.5.1),
 python3-six (>= 1.8.0),
 python3-requests (>= 2.3.0),
 python3-tz (>= 2012c),
 python3-numpy (>= 1.9.2),
 python3-matplotlib (>= 1.4.2),
 ipython3 (>= 5.1.0),
 python3-ipywidgets,
 python3-retrying
X-Python3-Version: >= 3.7
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://plot.ly/python/
Vcs-Git: https://salsa.debian.org/debian/plotly.git
Vcs-Browser: https://salsa.debian.org/debian/plotly

Package: python3-plotly
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-six (>= 1.8.0),
 python3-requests (>= 2.3.0),
 python3-tz (>= 2012c),
 python3-decorator (>= 4.0.6),
 python3-nbformat (>= 4.2.0),
 python3-retrying
Suggests: python3-matplotlib (>= 1.3.1),
 ipython3 (>= 1.3.1),
 python3-pandas,
 python3-scipy,
 python3-ipykernel
Description: Python 3 plotting library for publication-quality graphs
 Python 3 plotting library for collaborative, interactive, publication-quality
 graphs. Plotly is an online collaborative data analysis and graphing tool.
 The Python API allows you to access all of Plotly's functionality from Python.

=== debian/tests/control ===
Tests: python3-test
Depends: python3-plotly, python3-numpy

## plotly 5.4.1%2Bdfsg

=== requirements.txt ===
### Dependencies for Core Plotly Functionality  ###
###                                             ###
### To install, run:                            ###
###      $ pip install -r requirements.txt      ###
###                                             ###
###################################################

## python 2 to 3 compatibility ##
six>=1.15.0

## retrying requests ##
tenacity>=6.2.0

## plotly 5.4.1+dfsg

=== debian/changelog ===
plotly (5.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release (5.4.1):
   + Refresh debian/patches.
   + Update debian/offline/ploty.js v1.57.1 to version 2.6.3.
  * debian/control: Drop build and package dependency on python-retrying
    in order to be replaced by python-tenacity.
  * debian/copyright: Update copyright holders year.

 -- Josue Ortega <josue@debian.org>  Wed, 08 Dec 2021 21:24:40 -0600

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
  python3-matplotlib (>= 1.4.2),
  ipython3 (>= 5.1.0),
  python3-ipywidgets,
- python3-retrying
+ python3-tenacity
 X-Python3-Version: >= 3.7
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://plot.ly/python/
 Vcs-Git: https://salsa.debian.org/debian/plotly.git
@@ -30,7 +30,7 @@
  python3-tz (>= 2012c),
  python3-decorator (>= 4.0.6),
  python3-nbformat (>= 4.2.0),
- python3-retrying
+ python3-tenacity
 Suggests: python3-matplotlib (>= 1.3.1),
  ipython3 (>= 1.3.1),
  python3-pandas,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\.\d+$//,uversionmangle=s/(rc|a|b|c)/~$1/ \
  https://pypi.debian.net/plotly/plotly-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
  debian debian/repack

## plotly 5.15.0+dfsg1

=== debian/changelog ===
plotly (5.15.0+dfsg1-1) unstable; urgency=medium

  * Prepare to new upstream release
  * Refresh debian/patches:
    + Merge 00-remove-unused-js-files.patch and 00-unminified-js-path.patch into
      00-fix-static-files-installation.patch.
  * debian/control:
    + Drop dependency on python3-six. (Closes: #1039445)
    + Add pybuild-plugin-pyproject as build dep.
  * debian/copyright: Update copyright years.
  * Bump Standards-Version, no changes required.
  * debian/patches/00-drop-distutils.patch: Add patch dropping usage of
    distutils.

 -- Josue Ortega <josue@debian.org>  Sun, 02 Jul 2023 12:24:23 -0600

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-python,
  python3-all,
  python3-setuptools (>= 5.5.1),
- python3-six (>= 1.8.0),
+ pybuild-plugin-pyproject,
  python3-requests (>= 2.3.0),
  python3-tz (>= 2012c),
  python3-numpy (>= 1.9.2),
@@ -15,7 +15,7 @@
  python3-ipywidgets,
  python3-tenacity
 X-Python3-Version: >= 3.7
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://plot.ly/python/
 Vcs-Git: https://salsa.debian.org/debian/plotly.git
@@ -25,7 +25,6 @@
 Architecture: all
 Depends: ${misc:Depends},
  ${python3:Depends},
- python3-six (>= 1.8.0),
  python3-requests (>= 2.3.0),
  python3-tz (>= 2012c),
  python3-decorator (>= 4.0.6),

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export PYBUILD_NAME=plotly

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
# Disable tests since do not work with package static files at package_data location

## plotly 5.20.0+dfsg

=== debian/changelog ===
plotly (5.20.0+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python3-tz transitional dependency with python3-pytz
    (Closes: #1116372)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 12:31:36 +0100

plotly (5.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release (5.20.0). Closes: #1066814:
    + Refresh debian/patches.
    + Update debian/offline/ploty.js to version 2.30.0
  * debian/copyright:
    + Add versioneer.py copyright.
    + Update debian/copyright years.

 -- Josue Ortega <josue@debian.org>  Sun, 14 Apr 2024 17:47:03 -0600

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-setuptools (>= 5.5.1),
  pybuild-plugin-pyproject,
  python3-requests (>= 2.3.0),
- python3-tz (>= 2012c),
+ python3-pytz,
  python3-numpy (>= 1.9.2),
  python3-matplotlib (>= 1.4.2),
  ipython3 (>= 5.1.0),
@@ -26,7 +26,7 @@
 Depends: ${misc:Depends},
  ${python3:Depends},
  python3-requests (>= 2.3.0),
- python3-tz (>= 2012c),
+ python3-pytz,
  python3-decorator (>= 4.0.6),
  python3-nbformat (>= 4.2.0),
  python3-tenacity
